template:
    #directory: template
    url: https://github.com/thecodingmachine/tcm-couscous-template.git
    index: index.md

exclude:
    - vendor
    - tests
    - node_modules
    - template
    - %gitignore%

baseUrl: https://thecodingmachine.github.io/discovery/

site:
    title: Discovery

logo:
    logo: doc/img/logo.png
icon:
        burger: doc/img/hamburger.png
body:
            bg: doc/img/bg.jpg

google_analytics: UA-10196481-3

githubForkUrl: https://github.com/thecodingmachine/discovery/blob/1.1/
githubUrl: https://github.com/thecodingmachine/discovery

menu:
    items:
        doc:
            text: Documentation
        discovery-introduction:
            text: Introduction
            relativeUrl: index.html
            # Useful for active menu when we don't use the markdown metadata
            originalUrl: index.md
        metadata:
            text: Passing additional metadata
            relativeUrl: doc/metadata.html
        remove:
            text: Removing an asset
            relativeUrl: doc/remove.html
        order:
            text: Managing assets order
            relativeUrl: doc/order.html
        cli:
            text: Command line interface
            relativeUrl: doc/cli.html
        schema:
            text: discovery.json format
            relativeUrl: doc/discovery_schema.html
        conventions:
            text: Naming conventions
            relativeUrl: doc/conventions.html
        adv:
            text: Advanced
        internals:
            text: Internals and performance
            relativeUrl: doc/internals.html
        unit:
            text: Running unit tests
            relativeUrl: doc/unit_tests.html
        alternatives:
            text: Alternatives
            relativeUrl: doc/alternatives.html
